Blank Page in WHM > EasyApache (Apache Update)

kazar

Active Member
May 18, 2008
27
0
51
NYC/Earth
cPanel Access Level
Root Administrator
I don't have the option to "update apache" in my installation of WHM, only "EasyApache (Apache Update)". When I click on it in Firefox 4, my browser downloads a blank text file named "easyapache.pl". When I click on the item in Safari 5, I am redirected to a blank frame. When I click on the item in Chrome i also just get a blank frame.

What gives? What do I need to change so that I can use this update feature and easily add mbstring?

tia

kazar
 

kazar

Active Member
May 18, 2008
27
0
51
NYC/Earth
cPanel Access Level
Root Administrator
Re: --enable-mbstring

thanks Jerry. I clicked that link, entered my server's IP, and it only tells me who my provider is. My provider does not provide free support, can't afford the $40 right now as I am trying to succeed in getting Drupal 7 installed for a volunteer project for kids. Any other suggestions? I ran the Update Server script but still no luck (and it still did not update php which seems to be stuck on 5.2.4 whereas D7 requires 5.3 with PDO)
 

cPanelTristan

Quality Assurance Analyst
Staff member
Oct 2, 2010
7,607
41
348
somewhere over the rainbow
cPanel Access Level
Root Administrator
Re: --enable-mbstring

Please note that you can normally find an error if there is something not working properly in cPanel or WHM in the cPanel error logs. Normally, if you run the following command while trying to load the page that isn't working, you'll be presented with the error occurring:

Code:
tail -fn0 /usr/local/cpanel/logs/error_log
I mention this as noting the page is blank without any errors doesn't help to resolve the issue. Now that it is working after the cPanel update, we won't know why it was happening without having the error message to localize it. Anyone else who reads this thread going forward, finding the precise error in the log if you have a blank page in WHM would help us tremendously to know what errors were being output.
 

anty

Registered
Nov 24, 2008
3
0
51
Hi,

I've currently the same problem: I should download the easyapache.pl file which is 0 bytes long.

This is the output in the log:

Code:
Can't locate Class/Std.pm in @INC (@INC contains: /usr/local/cpanel /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl .) at /usr/local/cpanel/Cpanel/CPAN/Getopt/Param.pm line 10.
BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/CPAN/Getopt/Param.pm line 10.
Compilation failed in require at /scripts/cpanel_easy_sanity_check line 16.
BEGIN failed--compilation aborted at /scripts/cpanel_easy_sanity_check line 16.
Can't locate Class/Std.pm in @INC (@INC contains: /usr/local/cpanel /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl .) at /usr/local/cpanel/Cpanel/CPAN/Getopt/Param.pm line 10.
BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/CPAN/Getopt/Param.pm line 10.
Compilation failed in require at /scripts/cpanel_easy_sanity_check line 16.
BEGIN failed--compilation aborted at /scripts/cpanel_easy_sanity_check line 16.
Can't locate Acme/Spork.pm in @INC (@INC contains: /usr/local/cpanel /var/cpanel/perl/easy /scripts /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl .) at /var/cpanel/perl/easy/Cpanel/Easy/Utils/BackGround.pm line 14.
BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Utils/BackGround.pm line 14.
Compilation failed in require at (eval 25) line 3.
	...propagated at /usr/lib/perl5/5.8.5/base.pm line 85.
 at (eval 23) line 3
 at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15
BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15.
Compilation failed in require at (eval 14) line 3.
	...propagated at /usr/lib/perl5/5.8.5/base.pm line 85.
BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Apache.pm line 8.
Compilation failed in require at /usr/local/cpanel/whostmgr/docroot/cgi/easyapache.pl line 71.
 

AzeDK

Well-Known Member
Jul 14, 2011
47
25
143
cPanel Access Level
Root Administrator
This is my error trail:
"Not a HASH reference at /var/cpanel/perl/easy/Cpanel/Easy.pm line 339."

Using CloudLinux 2.6.18-338.12.1.el5.lve0.8.34xen #1 SMP Tue Jun 7 16:55:06 EEST 2011 x86_64 x86_64 x86_64 GNU/Linux
 

cPanelTristan

Quality Assurance Analyst
Staff member
Oct 2, 2010
7,607
41
348
somewhere over the rainbow
cPanel Access Level
Root Administrator
Please try the following in root SSH:

Code:
/scripts/checkperlmodules --full --force
If that does not work, please submit a ticket and post the ticket number here. A ticket may be submitted using WHM > Support Center > Contact cPanel or using the link in my signature.
 

AzeDK

Well-Known Member
Jul 14, 2011
47
25
143
cPanel Access Level
Root Administrator
Still blank page. Seems like a Perl problem, it says failing to install any available perl modules.

Your Request id is: 1746285.